declare enum ButtonVariableEnum {
    btnColor = "btn-color",
    btnPaddingY = "btn-padding-y",
    btnPaddingX = "btn-padding-x",
    btnFontFamily = "btn-font-family",
    btnFontSize = "btn-font-size",
    btnLineHeight = "btn-line-height",
    btnWhiteSpace = "btn-white-space",
    btnPaddingYSm = "btn-padding-y-sm",
    btnPaddingXSm = "btn-padding-x-sm",
    btnFontSizeSm = "btn-font-size-sm",
    btnPaddingYLg = "btn-padding-y-lg",
    btnPaddingXLg = "btn-padding-x-lg",
    btnFontSizeLg = "btn-font-size-lg",
    btnBorderWidth = "btn-border-width",
    btnFontWeight = "btn-font-weight",
    btnBoxShadow = "btn-box-shadow",
    btnFocusWidth = "btn-focus-width",
    btnFocusBoxShadow = "btn-focus-box-shadow",
    btnDisabledOpacity = "btn-disabled-opacity",
    btnActiveBoxShadow = "btn-active-box-shadow",
    btnLinkColor = "btn-link-color",
    btnLinkHoverColor = "btn-link-hover-color",
    btnLinkDisabledColor = "btn-link-disabled-color",
    btnLinkFocusShadowRgb = "btn-link-focus-shadow-rgb",
    btnBorderRadius = "btn-border-radius",
    btnBorderRadiusSm = "btn-border-radius-sm",
    btnBorderRadiusLg = "btn-border-radius-lg",
    btnTransition = "btn-transition",
    btnHoverBgShadeAmount = "btn-hover-bg-shade-amount",
    btnHoverBgTintAmount = "btn-hover-bg-tint-amount",
    btnHoverBorderShadeAmount = "btn-hover-border-shade-amount",
    btnHoverBorderTintAmount = "btn-hover-border-tint-amount",
    btnActiveBgShadeAmount = "btn-active-bg-shade-amount",
    btnActiveBgTintAmount = "btn-active-bg-tint-amount",
    btnActiveBorderShadeAmount = "btn-active-border-shade-amount",
    btnActiveBorderTintAmount = "btn-active-border-tint-amount"
}
declare enum RoundedClassEnum {
    xs = 0,
    sm = 1,
    md = 2,
    lg = 3,
    xl = 4,
    xxl = 5,
    circle = "circle",
    pill = "pill"
}
declare enum VariantEnum {
    primary = "primary",
    secondary = "secondary",
    success = "success",
    info = "info",
    warning = "warning",
    danger = "danger",
    light = "light",
    dark = "dark",
    link = "link"
}
declare enum OutlineEnum {
    primary = "primary",
    secondary = "secondary",
    success = "success",
    info = "info",
    warning = "warning",
    danger = "danger",
    light = "light",
    dark = "dark"
}
declare enum ButtonGroupVariablesEnum {
}
declare enum InputVariablesEnum {
    inputPaddingY = "input-padding-y",
    inputPaddingX = "input-padding-x",
    inputFontFamily = "input-font-family",
    inputFontSize = "input-font-size",
    inputFontWeight = "input-font-weight",
    inputLineHeight = "input-line-height",
    inputPaddingYSm = "input-padding-y-sm",
    inputPaddingXSm = "input-padding-x-sm",
    inputFontSizeSm = "input-font-size-sm",
    inputPaddingYLg = "input-padding-y-lg",
    inputPaddingXLg = "input-padding-x-lg",
    inputFontSizeLg = "input-font-size-lg",
    inputBg = "input-bg",
    inputDisabledColor = "input-disabled-color",
    inputDisabledBg = "input-disabled-bg",
    inputDisabledBorderColor = "input-disabled-border-color",
    inputColor = "input-color",
    inputBorderColor = "input-border-color",
    inputBorderWidth = "input-border-width",
    inputBoxShadow = "input-box-shadow",
    inputBorderRadius = "input-border-radius",
    inputBorderRadiusSm = "input-border-radius-sm",
    inputBorderRadiusLg = "input-border-radius-lg",
    inputFocusBg = "input-focus-bg",
    inputFocusBorderColor = "input-focus-border-color",
    inputFocusColor = "input-focus-color",
    inputFocusWidth = "input-focus-width",
    inputFocusBoxShadow = "input-focus-box-shadow",
    inputPlaceholderColor = "input-placeholder-color",
    inputPlaintextColor = "input-plaintext-color",
    inputHeightBorder = "input-height-border",
    inputHeightInner = "input-height-inner",
    inputHeightInnerHalf = "input-height-inner-half",
    inputHeightInnerQuarter = "input-height-inner-quarter",
    inputHeight = "input-height",
    inputHeightSm = "input-height-sm",
    inputHeightLg = "input-height-lg",
    inputTransition = "input-transition",
    formColorWidth = "form-color-width",
    formFileButtonColor = "form-file-button-color",
    formFileButtonBg = "form-file-button-bg",
    formFileButtonHoverBg = "form-file-button-hover-bg",
    formValidColor = "form-valid-color",
    formValidBorderColor = "form-valid-border-color",
    formInvalidColor = "form-invalid-color",
    formInvalidBorderColor = "form-invalid-border-color",
    formValidColorDark = "form-valid-color-dark",
    formValidBorderColorDark = "form-valid-border-color-dark",
    formInvalidColorDark = "form-invalid-color-dark",
    formInvalidBorderColorDark = "form-invalid-border-color-dark"
}
declare enum InputOtpVariablesEnum {
}
declare enum LabelVariablesEnum {
    formLabelMarginBottom = "form-label-margin-bottom",
    formLabelFontSize = "form-label-font-size",
    formLabelFontStyle = "form-label-font-style",
    formLabelFontWeight = "form-label-font-weight",
    formLabelColor = "form-label-color"
}
declare enum TextVariablesEnum {
    formTextMarginTop = "form-text-margin-top",
    formTextFontSize = "form-text-font-size",
    formTextFontStyle = "form-text-font-style",
    formTextFontWeight = "form-text-font-weight",
    formTextColor = "form-text-color",
    formFeedbackMarginTop = "form-feedback-margin-top",
    formFeedbackFontSize = "form-feedback-font-size",
    formFeedbackFontStyle = "form-feedback-font-style",
    formFeedbackValidColor = "form-feedback-valid-color",
    formFeedbackInvalidColor = "form-feedback-invalid-color",
    formFeedbackIconValidColor = "form-feedback-icon-valid-color",
    formFeedbackIconValid = "form-feedback-icon-valid",
    formFeedbackIconInvalidColor = "form-feedback-icon-invalid-color",
    formFeedbackIconInvalid = "form-feedback-icon-invalid"
}
declare enum TextareaVariablesEnum {
    formValidColor = "form-valid-color",
    formValidBorderColor = "form-valid-border-color",
    formInvalidColor = "form-invalid-color",
    formInvalidBorderColor = "form-invalid-border-color",
    formValidColorDark = "form-valid-color-dark",
    formValidBorderColorDark = "form-valid-border-color-dark",
    formInvalidColorDark = "form-invalid-color-dark",
    formInvalidBorderColorDark = "form-invalid-border-color-dark"
}
declare enum InputGroupVariablesEnum {
    inputGroupAddonPaddingY = "input-group-addon-padding-y",
    inputGroupAddonPaddingX = "input-group-addon-padding-x",
    inputGroupAddonFontWeight = "input-group-addon-font-weight",
    inputGroupAddonColor = "input-group-addon-color",
    inputGroupAddonBg = "input-group-addon-bg",
    inputGroupAddonBorderColor = "input-group-addon-border-color"
}
declare enum InputGroupTextVariablesEnum {
}
declare enum SelectVariablesEnum {
    formSelectPaddingY = "form-select-padding-y",
    formSelectPaddingX = "form-select-padding-x",
    formSelectFontFamily = "form-select-font-family",
    formSelectFontSize = "form-select-font-size",
    formSelectIndicatorPadding = "form-select-indicator-padding",
    formSelectFontWeight = "form-select-font-weight",
    formSelectLineHeight = "form-select-line-height",
    formSelectColor = "form-select-color",
    formSelectBg = "form-select-bg",
    formSelectDisabledColor = "form-select-disabled-color",
    formSelectDisabledBg = "form-select-disabled-bg",
    formSelectDisabledBorderColor = "form-select-disabled-border-color",
    formSelectBgPosition = "form-select-bg-position",
    formSelectBgSize = "form-select-bg-size",
    formSelectIndicatorColor = "form-select-indicator-color",
    formSelectIndicator = "form-select-indicator",
    formSelectFeedbackIconPaddingEnd = "form-select-feedback-icon-padding-end",
    formSelectFeedbackIconPosition = "form-select-feedback-icon-position",
    formSelectFeedbackIconSize = "form-select-feedback-icon-size",
    formSelectBorderWidth = "form-select-border-width",
    formSelectBorderColor = "form-select-border-color",
    formSelectBorderRadius = "form-select-border-radius",
    formSelectBoxShadow = "form-select-box-shadow",
    formSelectFocusBorderColor = "form-select-focus-border-color",
    formSelectFocusWidth = "form-select-focus-width",
    formSelectFocusBoxShadow = "form-select-focus-box-shadow",
    formSelectPaddingYSm = "form-select-padding-y-sm",
    formSelectPaddingXSm = "form-select-padding-x-sm",
    formSelectFontSizeSm = "form-select-font-size-sm",
    formSelectBorderRadiusSm = "form-select-border-radius-sm",
    formSelectPaddingYLg = "form-select-padding-y-lg",
    formSelectPaddingXLg = "form-select-padding-x-lg",
    formSelectFontSizeLg = "form-select-font-size-lg",
    formSelectBorderRadiusLg = "form-select-border-radius-lg",
    formSelectTransition = "form-select-transition",
    formValidColor = "form-valid-color",
    formValidBorderColor = "form-valid-border-color",
    formInvalidColor = "form-invalid-color",
    formInvalidBorderColor = "form-invalid-border-color",
    formValidColorDark = "form-valid-color-dark",
    formValidBorderColorDark = "form-valid-border-color-dark",
    formInvalidColorDark = "form-invalid-color-dark",
    formInvalidBorderColorDark = "form-invalid-border-color-dark"
}
declare enum SelectOptionVariablesEnum {
}
declare enum SelectMultipleVariablesEnum {
}
declare enum CheckboxVariablesEnum {
    formCheckInputWidth = "form-check-input-width",
    formCheckMinHeight = "form-check-min-height",
    formCheckPaddingStart = "form-check-padding-start",
    formCheckMarginBottom = "form-check-margin-bottom",
    formCheckLabelColor = "form-check-label-color",
    formCheckLabelCursor = "form-check-label-cursor",
    formCheckTransition = "form-check-transition",
    formCheckInputActiveFilter = "form-check-input-active-filter",
    formCheckInputBg = "form-check-input-bg",
    formCheckInputBorder = "form-check-input-border",
    formCheckInputBorderRadius = "form-check-input-border-radius",
    formCheckRadioBorderRadius = "form-check-radio-border-radius",
    formCheckInputFocusBorder = "form-check-input-focus-border",
    formCheckInputFocusBoxShadow = "form-check-input-focus-box-shadow",
    formCheckInputCheckedColor = "form-check-input-checked-color",
    formCheckInputCheckedBgColor = "form-check-input-checked-bg-color",
    formCheckInputCheckedBorderColor = "form-check-input-checked-border-color",
    formCheckInputCheckedBgImage = "form-check-input-checked-bg-image",
    formCheckRadioCheckedBgImage = "form-check-radio-checked-bg-image",
    formCheckInputIndeterminateColor = "form-check-input-indeterminate-color",
    formCheckInputIndeterminateBgColor = "form-check-input-indeterminate-bg-color",
    formCheckInputIndeterminateBorderColor = "form-check-input-indeterminate-border-color",
    formCheckInputIndeterminateBgImage = "form-check-input-indeterminate-bg-image",
    formCheckInputDisabledOpacity = "form-check-input-disabled-opacity",
    formCheckLabelDisabledOpacity = "form-check-label-disabled-opacity",
    formCheckBtnCheckDisabledOpacity = "form-check-btn-check-disabled-opacity",
    formCheckInlineMarginEnd = "form-check-inline-margin-end",
    formSwitchColor = "form-switch-color",
    formSwitchWidth = "form-switch-width",
    formSwitchPaddingStart = "form-switch-padding-start",
    formSwitchBgImage = "form-switch-bg-image",
    formSwitchBorderRadius = "form-switch-border-radius",
    formSwitchTransition = "form-switch-transition",
    formSwitchFocusColor = "form-switch-focus-color",
    formSwitchFocusBgImage = "form-switch-focus-bg-image",
    formSwitchCheckedColor = "form-switch-checked-color",
    formSwitchCheckedBgImage = "form-switch-checked-bg-image",
    formSwitchCheckedBgPosition = "form-switch-checked-bg-position",
    formValidColor = "form-valid-color",
    formValidBorderColor = "form-valid-border-color",
    formInvalidColor = "form-invalid-color",
    formInvalidBorderColor = "form-invalid-border-color",
    formValidColorDark = "form-valid-color-dark",
    formValidBorderColorDark = "form-valid-border-color-dark",
    formInvalidColorDark = "form-invalid-color-dark",
    formInvalidBorderColorDark = "form-invalid-border-color-dark"
}
declare enum RadioVariablesEnum {
    formCheckInputWidth = "form-check-input-width",
    formCheckMinHeight = "form-check-min-height",
    formCheckPaddingStart = "form-check-padding-start",
    formCheckMarginBottom = "form-check-margin-bottom",
    formCheckLabelColor = "form-check-label-color",
    formCheckLabelCursor = "form-check-label-cursor",
    formCheckTransition = "form-check-transition",
    formCheckInputActiveFilter = "form-check-input-active-filter",
    formCheckInputBg = "form-check-input-bg",
    formCheckInputBorder = "form-check-input-border",
    formCheckInputBorderRadius = "form-check-input-border-radius",
    formCheckRadioBorderRadius = "form-check-radio-border-radius",
    formCheckInputFocusBorder = "form-check-input-focus-border",
    formCheckInputFocusBoxShadow = "form-check-input-focus-box-shadow",
    formCheckInputCheckedColor = "form-check-input-checked-color",
    formCheckInputCheckedBgColor = "form-check-input-checked-bg-color",
    formCheckInputCheckedBorderColor = "form-check-input-checked-border-color",
    formCheckInputCheckedBgImage = "form-check-input-checked-bg-image",
    formCheckRadioCheckedBgImage = "form-check-radio-checked-bg-image",
    formCheckInputIndeterminateColor = "form-check-input-indeterminate-color",
    formCheckInputIndeterminateBgColor = "form-check-input-indeterminate-bg-color",
    formCheckInputIndeterminateBorderColor = "form-check-input-indeterminate-border-color",
    formCheckInputIndeterminateBgImage = "form-check-input-indeterminate-bg-image",
    formCheckInputDisabledOpacity = "form-check-input-disabled-opacity",
    formCheckLabelDisabledOpacity = "form-check-label-disabled-opacity",
    formCheckBtnCheckDisabledOpacity = "form-check-btn-check-disabled-opacity",
    formCheckInlineMarginEnd = "form-check-inline-margin-end",
    formSwitchColor = "form-switch-color",
    formSwitchWidth = "form-switch-width",
    formSwitchPaddingStart = "form-switch-padding-start",
    formSwitchBgImage = "form-switch-bg-image",
    formSwitchBorderRadius = "form-switch-border-radius",
    formSwitchTransition = "form-switch-transition",
    formSwitchFocusColor = "form-switch-focus-color",
    formSwitchFocusBgImage = "form-switch-focus-bg-image",
    formSwitchCheckedColor = "form-switch-checked-color",
    formSwitchCheckedBgImage = "form-switch-checked-bg-image",
    formSwitchCheckedBgPosition = "form-switch-checked-bg-position",
    formValidColor = "form-valid-color",
    formValidBorderColor = "form-valid-border-color",
    formInvalidColor = "form-invalid-color",
    formInvalidBorderColor = "form-invalid-border-color",
    formValidColorDark = "form-valid-color-dark",
    formValidBorderColorDark = "form-valid-border-color-dark",
    formInvalidColorDark = "form-invalid-color-dark",
    formInvalidBorderColorDark = "form-invalid-border-color-dark"
}
declare enum RangeVariablesEnum {
    formRangeTrackWidth = "form-range-track-width",
    formRangeTrackHeight = "form-range-track-height",
    formRangeTrackCursor = "form-range-track-cursor",
    formRangeTrackBg = "form-range-track-bg",
    formRangeTrackBorderRadius = "form-range-track-border-radius",
    formRangeTrackBoxShadow = "form-range-track-box-shadow",
    formRangeThumbWidth = "form-range-thumb-width",
    formRangeThumbHeight = "form-range-thumb-height",
    formRangeThumbBg = "form-range-thumb-bg",
    formRangeThumbBorder = "form-range-thumb-border",
    formRangeThumbBorderRadius = "form-range-thumb-border-radius",
    formRangeThumbBoxShadow = "form-range-thumb-box-shadow",
    formRangeThumbFocusBoxShadow = "form-range-thumb-focus-box-shadow",
    formRangeThumbFocusBoxShadowWidth = "form-range-thumb-focus-box-shadow-width",
    formRangeThumbActiveBg = "form-range-thumb-active-bg",
    formRangeThumbDisabledBg = "form-range-thumb-disabled-bg",
    formRangeThumbTransition = "form-range-thumb-transition",
    formValidColor = "form-valid-color",
    formValidBorderColor = "form-valid-border-color",
    formInvalidColor = "form-invalid-color",
    formInvalidBorderColor = "form-invalid-border-color",
    formValidColorDark = "form-valid-color-dark",
    formValidBorderColorDark = "form-valid-border-color-dark",
    formInvalidColorDark = "form-invalid-color-dark",
    formInvalidBorderColorDark = "form-invalid-border-color-dark"
}
declare enum CardVariablesEnum {
    cardSpacerY = "card-spacer-y",
    cardSpacerX = "card-spacer-x",
    cardTitleSpacerY = "card-title-spacer-y",
    cardTitleColor = "card-title-color",
    cardSubtitleColor = "card-subtitle-color",
    cardBorderWidth = "card-border-width",
    cardBorderColor = "card-border-color",
    cardBorderRadius = "card-border-radius",
    cardBoxShadow = "card-box-shadow",
    cardInnerBorderRadius = "card-inner-border-radius",
    cardCapPaddingY = "card-cap-padding-y",
    cardCapPaddingX = "card-cap-padding-x",
    cardCapBg = "card-cap-bg",
    cardCapColor = "card-cap-color",
    cardHeight = "card-height",
    cardColor = "card-color",
    cardBg = "card-bg",
    cardImgOverlayPadding = "card-img-overlay-padding",
    cardGroupMargin = "card-group-margin"
}
declare enum CardBodyVariablesEnum {
    cardSpacerY = "card-spacer-y",
    cardSpacerX = "card-spacer-x",
    cardTitleSpacerY = "card-title-spacer-y",
    cardTitleColor = "card-title-color",
    cardSubtitleColor = "card-subtitle-color",
    cardBorderWidth = "card-border-width",
    cardBorderColor = "card-border-color",
    cardBorderRadius = "card-border-radius",
    cardBoxShadow = "card-box-shadow",
    cardInnerBorderRadius = "card-inner-border-radius",
    cardCapPaddingY = "card-cap-padding-y",
    cardCapPaddingX = "card-cap-padding-x",
    cardCapBg = "card-cap-bg",
    cardCapColor = "card-cap-color",
    cardHeight = "card-height",
    cardColor = "card-color",
    cardBg = "card-bg",
    cardImgOverlayPadding = "card-img-overlay-padding",
    cardGroupMargin = "card-group-margin"
}
declare enum CardImgVariablesEnum {
    cardSpacerY = "card-spacer-y",
    cardSpacerX = "card-spacer-x",
    cardTitleSpacerY = "card-title-spacer-y",
    cardTitleColor = "card-title-color",
    cardSubtitleColor = "card-subtitle-color",
    cardBorderWidth = "card-border-width",
    cardBorderColor = "card-border-color",
    cardBorderRadius = "card-border-radius",
    cardBoxShadow = "card-box-shadow",
    cardInnerBorderRadius = "card-inner-border-radius",
    cardCapPaddingY = "card-cap-padding-y",
    cardCapPaddingX = "card-cap-padding-x",
    cardCapBg = "card-cap-bg",
    cardCapColor = "card-cap-color",
    cardHeight = "card-height",
    cardColor = "card-color",
    cardBg = "card-bg",
    cardImgOverlayPadding = "card-img-overlay-padding",
    cardGroupMargin = "card-group-margin"
}
declare enum CardTitleVariablesEnum {
    cardSpacerY = "card-spacer-y",
    cardSpacerX = "card-spacer-x",
    cardTitleSpacerY = "card-title-spacer-y",
    cardTitleColor = "card-title-color",
    cardSubtitleColor = "card-subtitle-color",
    cardBorderWidth = "card-border-width",
    cardBorderColor = "card-border-color",
    cardBorderRadius = "card-border-radius",
    cardBoxShadow = "card-box-shadow",
    cardInnerBorderRadius = "card-inner-border-radius",
    cardCapPaddingY = "card-cap-padding-y",
    cardCapPaddingX = "card-cap-padding-x",
    cardCapBg = "card-cap-bg",
    cardCapColor = "card-cap-color",
    cardHeight = "card-height",
    cardColor = "card-color",
    cardBg = "card-bg",
    cardImgOverlayPadding = "card-img-overlay-padding",
    cardGroupMargin = "card-group-margin"
}
declare enum CardSubtitleVariablesEnum {
    cardSpacerY = "card-spacer-y",
    cardSpacerX = "card-spacer-x",
    cardTitleSpacerY = "card-title-spacer-y",
    cardTitleColor = "card-title-color",
    cardSubtitleColor = "card-subtitle-color",
    cardBorderWidth = "card-border-width",
    cardBorderColor = "card-border-color",
    cardBorderRadius = "card-border-radius",
    cardBoxShadow = "card-box-shadow",
    cardInnerBorderRadius = "card-inner-border-radius",
    cardCapPaddingY = "card-cap-padding-y",
    cardCapPaddingX = "card-cap-padding-x",
    cardCapBg = "card-cap-bg",
    cardCapColor = "card-cap-color",
    cardHeight = "card-height",
    cardColor = "card-color",
    cardBg = "card-bg",
    cardImgOverlayPadding = "card-img-overlay-padding",
    cardGroupMargin = "card-group-margin"
}
declare enum CardTextVariablesEnum {
    cardSpacerY = "card-spacer-y",
    cardSpacerX = "card-spacer-x",
    cardTitleSpacerY = "card-title-spacer-y",
    cardTitleColor = "card-title-color",
    cardSubtitleColor = "card-subtitle-color",
    cardBorderWidth = "card-border-width",
    cardBorderColor = "card-border-color",
    cardBorderRadius = "card-border-radius",
    cardBoxShadow = "card-box-shadow",
    cardInnerBorderRadius = "card-inner-border-radius",
    cardCapPaddingY = "card-cap-padding-y",
    cardCapPaddingX = "card-cap-padding-x",
    cardCapBg = "card-cap-bg",
    cardCapColor = "card-cap-color",
    cardHeight = "card-height",
    cardColor = "card-color",
    cardBg = "card-bg",
    cardImgOverlayPadding = "card-img-overlay-padding",
    cardGroupMargin = "card-group-margin"
}
declare enum CardLinkVariablesEnum {
    cardSpacerY = "card-spacer-y",
    cardSpacerX = "card-spacer-x",
    cardTitleSpacerY = "card-title-spacer-y",
    cardTitleColor = "card-title-color",
    cardSubtitleColor = "card-subtitle-color",
    cardBorderWidth = "card-border-width",
    cardBorderColor = "card-border-color",
    cardBorderRadius = "card-border-radius",
    cardBoxShadow = "card-box-shadow",
    cardInnerBorderRadius = "card-inner-border-radius",
    cardCapPaddingY = "card-cap-padding-y",
    cardCapPaddingX = "card-cap-padding-x",
    cardCapBg = "card-cap-bg",
    cardCapColor = "card-cap-color",
    cardHeight = "card-height",
    cardColor = "card-color",
    cardBg = "card-bg",
    cardImgOverlayPadding = "card-img-overlay-padding",
    cardGroupMargin = "card-group-margin"
}
declare enum CardHeaderVariablesEnum {
    cardSpacerY = "card-spacer-y",
    cardSpacerX = "card-spacer-x",
    cardTitleSpacerY = "card-title-spacer-y",
    cardTitleColor = "card-title-color",
    cardSubtitleColor = "card-subtitle-color",
    cardBorderWidth = "card-border-width",
    cardBorderColor = "card-border-color",
    cardBorderRadius = "card-border-radius",
    cardBoxShadow = "card-box-shadow",
    cardInnerBorderRadius = "card-inner-border-radius",
    cardCapPaddingY = "card-cap-padding-y",
    cardCapPaddingX = "card-cap-padding-x",
    cardCapBg = "card-cap-bg",
    cardCapColor = "card-cap-color",
    cardHeight = "card-height",
    cardColor = "card-color",
    cardBg = "card-bg",
    cardImgOverlayPadding = "card-img-overlay-padding",
    cardGroupMargin = "card-group-margin"
}
declare enum CardFooterVariablesEnum {
    cardSpacerY = "card-spacer-y",
    cardSpacerX = "card-spacer-x",
    cardTitleSpacerY = "card-title-spacer-y",
    cardTitleColor = "card-title-color",
    cardSubtitleColor = "card-subtitle-color",
    cardBorderWidth = "card-border-width",
    cardBorderColor = "card-border-color",
    cardBorderRadius = "card-border-radius",
    cardBoxShadow = "card-box-shadow",
    cardInnerBorderRadius = "card-inner-border-radius",
    cardCapPaddingY = "card-cap-padding-y",
    cardCapPaddingX = "card-cap-padding-x",
    cardCapBg = "card-cap-bg",
    cardCapColor = "card-cap-color",
    cardHeight = "card-height",
    cardColor = "card-color",
    cardBg = "card-bg",
    cardImgOverlayPadding = "card-img-overlay-padding",
    cardGroupMargin = "card-group-margin"
}
declare enum CardGroupVariablesEnum {
    cardSpacerY = "card-spacer-y",
    cardSpacerX = "card-spacer-x",
    cardTitleSpacerY = "card-title-spacer-y",
    cardTitleColor = "card-title-color",
    cardSubtitleColor = "card-subtitle-color",
    cardBorderWidth = "card-border-width",
    cardBorderColor = "card-border-color",
    cardBorderRadius = "card-border-radius",
    cardBoxShadow = "card-box-shadow",
    cardInnerBorderRadius = "card-inner-border-radius",
    cardCapPaddingY = "card-cap-padding-y",
    cardCapPaddingX = "card-cap-padding-x",
    cardCapBg = "card-cap-bg",
    cardCapColor = "card-cap-color",
    cardHeight = "card-height",
    cardColor = "card-color",
    cardBg = "card-bg",
    cardImgOverlayPadding = "card-img-overlay-padding",
    cardGroupMargin = "card-group-margin"
}
declare enum FloatingLabelVariablesEnum {
    formFloatingHeight = "form-floating-height",
    formFloatingLineHeight = "form-floating-line-height",
    formFloatingPaddingX = "form-floating-padding-x",
    formFloatingPaddingY = "form-floating-padding-y",
    formFloatingInputPaddingT = "form-floating-input-padding-t",
    formFloatingInputPaddingB = "form-floating-input-padding-b",
    formFloatingLabelHeight = "form-floating-label-height",
    formFloatingLabelOpacity = "form-floating-label-opacity",
    formFloatingLabelTransform = "form-floating-label-transform",
    formFloatingLabelDisabledColor = "form-floating-label-disabled-color",
    formFloatingTransition = "form-floating-transition",
    formValidColor = "form-valid-color",
    formValidBorderColor = "form-valid-border-color",
    formInvalidColor = "form-invalid-color",
    formInvalidBorderColor = "form-invalid-border-color",
    formValidColorDark = "form-valid-color-dark",
    formValidBorderColorDark = "form-valid-border-color-dark",
    formInvalidColorDark = "form-invalid-color-dark",
    formInvalidBorderColorDark = "form-invalid-border-color-dark"
}
export { ButtonVariableEnum, RoundedClassEnum, VariantEnum, OutlineEnum, InputVariablesEnum, InputOtpVariablesEnum, LabelVariablesEnum, TextVariablesEnum, TextareaVariablesEnum, ButtonGroupVariablesEnum, InputGroupVariablesEnum, InputGroupTextVariablesEnum, SelectVariablesEnum, SelectOptionVariablesEnum, SelectMultipleVariablesEnum, CheckboxVariablesEnum, RadioVariablesEnum, RangeVariablesEnum, FloatingLabelVariablesEnum, CardVariablesEnum, CardBodyVariablesEnum, CardImgVariablesEnum, CardTitleVariablesEnum, CardSubtitleVariablesEnum, CardTextVariablesEnum, CardLinkVariablesEnum, CardHeaderVariablesEnum, CardFooterVariablesEnum, CardGroupVariablesEnum, };
